Bullet Collision Detection & Physics Library: btPrimitiveTriangle Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btPrimitiveTriangle Class Reference

`#include <btTriangleShapeEx.h>`

Collaboration diagram for btPrimitiveTriangle:
[legend]

## Public Member Functions
| btPrimitiveTriangle ()
void | buildTriPlane ()
bool | overlap_test_conservative (const btPrimitiveTriangle &other)
| Test if triangles could collide.
void | get_edge_plane (int edge_index, btVector4 &plane) const
| Calcs the plane which is paralele to the edge and perpendicular to the triangle plane.
void | applyTransform (const btTransform &t)
int | clip_triangle (btPrimitiveTriangle &other, btVector3 *clipped_points)
| Clips the triangle against this.
bool | find_triangle_collision_clip_method (btPrimitiveTriangle &other, GIM_TRIANGLE_CONTACT &contacts)
| Find collision using the clipping method.

## Public Attributes
btVector3 | m_vertices [3]
btVector4 | m_plane
btScalar | m_margin
btScalar | m_dummy

## Detailed Description

Definition at line 69 of file btTriangleShapeEx.h.

## Constructor & Destructor Documentation

## ◆ btPrimitiveTriangle()

btPrimitiveTriangle::btPrimitiveTriangle | ( |  | ) |
| inline

Definition at line 76 of file btTriangleShapeEx.h.

## Member Function Documentation

## ◆ applyTransform()

void btPrimitiveTriangle::applyTransform | ( | const btTransform & | t | ) |
| inline

Definition at line 101 of file btTriangleShapeEx.h.

## ◆ buildTriPlane()

void btPrimitiveTriangle::buildTriPlane | ( |  | ) |
| inline

Definition at line 80 of file btTriangleShapeEx.h.

## ◆ clip_triangle()

int btPrimitiveTriangle::clip_triangle | ( | btPrimitiveTriangle & | other,
|  | btVector3 * | clipped_points
| ) |  |

Clips the triangle against this.

Precondition
  clipped_points must have MAX_TRI_CLIPPING size, and this triangle must have its plane calculated.

Returns
  the number of clipped points

Definition at line 87 of file btTriangleShapeEx.cpp.

## ◆ find_triangle_collision_clip_method()

bool btPrimitiveTriangle::find_triangle_collision_clip_method | ( | btPrimitiveTriangle & | other,
|  | GIM_TRIANGLE_CONTACT & | contacts
| ) |  |

Find collision using the clipping method.

Precondition
  this triangle and other must have their triangles calculated

Definition at line 120 of file btTriangleShapeEx.cpp.

## ◆ get_edge_plane()

void btPrimitiveTriangle::get_edge_plane | ( | int | edge_index,
|  | btVector4 & | plane
| ) |  | const
| inline

Calcs the plane which is paralele to the edge and perpendicular to the triangle plane.

Precondition
  this triangle must have its plane calculated.

Definition at line 94 of file btTriangleShapeEx.h.

## ◆ overlap_test_conservative()

bool btPrimitiveTriangle::overlap_test_conservative | ( | const btPrimitiveTriangle & | other | ) |

Test if triangles could collide.

class btPrimitiveTriangle

Definition at line 63 of file btTriangleShapeEx.cpp.

## Member Data Documentation

## ◆ m_dummy

btScalar btPrimitiveTriangle::m_dummy

Definition at line 75 of file btTriangleShapeEx.h.

## ◆ m_margin

btScalar btPrimitiveTriangle::m_margin

Definition at line 74 of file btTriangleShapeEx.h.

## ◆ m_plane

btVector4 btPrimitiveTriangle::m_plane

Definition at line 73 of file btTriangleShapeEx.h.

## ◆ m_vertices

btVector3 btPrimitiveTriangle::m_vertices[3]

Definition at line 72 of file btTriangleShapeEx.h.

The documentation for this class was generated from the following files:

- btTriangleShapeEx.h
- btTriangleShapeEx.cpp